Bug 613900 - [RHEL5.5] TCP bandwidth problems with TPA and bnx2x cards [rhel-5.5.z]
Summary: [RHEL5.5] TCP bandwidth problems with TPA and bnx2x cards [rhel-5.5.z]
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.5
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Keywords: ZStream
Depends On: 593801
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-13 07:14 UTC by RHEL Product and Program Management
Modified: 2015-05-05 01:20 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When TPA (Transparent Packet Aggregation) was used with a bnx2x network driver (10 Gb), TCP bandwidth problems occurred, causing transfer rate slowdowns (down to 400 Kb) and network delays. The network traces shown that the reason for the TCP bandwidth problems were TCP delayed ACK mechanisms. This update improves the packet-handling code so that network ACKs are not delayed when using TPA, GRO (Generic Receive Offload), or LRO (Large Receive Offload) with the bnx2x driver, thus leading to increased networking performance.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-10 18:02:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0610 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-08-10 18:01:15 UTC

Description RHEL Product and Program Management 2010-07-13 07:14:36 UTC
This bug has been copied from bug #593801 and has been proposed
to be backported to 5.5 z-stream (EUS).

Comment 3 Jiri Pirko 2010-07-22 10:53:19 UTC
in 2.6.18-194.10.1.el5

Comment 6 errata-xmlrpc 2010-08-10 18:02:36 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0610.html

Comment 7 Martin Prpič 2010-08-17 10:45:23 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When TPA (Transparent Packet Aggregation) was used with a bnx2x network driver (10 Gb), TCP bandwidth problems occurred, causing transfer rate slowdowns (down to 400 Kb) and network delays. The network traces shown that the reason for the TCP bandwidth problems were TCP delayed ACK mechanisms. This update improves the packet-handling code so that network ACKs are not delayed when using TPA, GRO (Generic Receive Offload), or LRO (Large Receive Offload) with the bnx2x driver, thus leading to increased networking performance.


Note You need to log in before you can comment on or make changes to this bug.